
package org.mule.modules.boxnet.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>BoxNetModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.boxnet.BoxNetModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class BoxNetModuleCapabilitiesAdapter
    extends org.mule.modules.boxnet.BoxNetModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
